package org.rcisoft.alibaba.faceVerify.bean;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component("faceVerifyAliCompNew")
@ConfigurationProperties(prefix = "faceverfiy")
public class FaceVerifyAliComp {

    /**
     * 场景id
     */
    private Long sceneId;

    //访问密钥 ID
    private String accessKeyId;

    //访问密钥
    private String accessKeySecret;

    //区域
    private String[] endpoints;

    //后端回调地址
    private String callbackUrl;

    //认证结束后回跳页面的链接地址
    private String returnUrl;

    // 1. 同一个身份证 每天允许失败的次数
    private int idCardDayCount;

    // 2. 同一个身份证 每分钟允许失败的次数
    private int idCardMinCount;

    // 3. 同一ip 每天允许失败的次数
    private int ipDayCount;

    // 4. 同一ip 每分钟允许失败的次数
    private int ipMinCount;
}

